<template>
    <nav class="navbar bg-dark">
        <div class="header-container text-white">
            <div class="greeting">
                <h4 class="title" @click="goTo('/articles')">Arvan Challenge</h4>
                <h6 class="ml-3 d-none d-sm-inline">Welcome<span class="ml-2">{{currentUser.username}}</span></h6>
            </div>
            <div class="menu-container">
                <button @click="goTo('/articles/create')" class="btn btn-outline-success d-block d-sm-none">New Article</button>
                <button @click="logout" class="btn btn-outline-info ml-2">Logout</button>
            </div>
        </div>
    </nav>
</template>

<script>
    import {mapGetters} from "vuex";
    import {LOGOUT} from "@/store/actions.type";

    export default {
        name: "Header",
        computed: {
            ...mapGetters(["currentUser"])
        },
        methods: {
            goTo(path) {
                this.$router.push(path);
            },
            logout() {
                this.$store.dispatch(LOGOUT).then(() => {
                    this.$router.push({name: "login"});
                });
            }
        }
    };
</script>
<style scoped>
    .header-container {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }

    .greeting {
        display: flex;
        align-items: center;
    }
    .title {
        cursor: pointer;
    }
    .menu-container {
        display: flex;
    }
</style>
